
QGIS Application - Bug report #1742

After two consecutive zooming, QGIS freezes

2009-06-22 06:03 AM - luca76 -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11802

Description

Hi, I discovered a problem with QGIS (1.0.2 and 1.1). It's slow when zooming big vector layers (either in SHP and Postgis format).

Reproduce it with:

1) zoom in to a small region

2) zoom in another time

as you can see, QGIS is going to use 100% CPU and remains stuck.

I've attached the shapefile in this URL, so you can test this:

[http://webapps.comune.trento.it/base/zone.7z]

History

#1 - 2009-06-23 12:08 AM - Paolo Cavallini

Works on Debian, with the same file.

#2 - 2009-07-01 01:02 PM - Giovanni Manghi

Made tests with QGIS 1.2 on both Windows (Osgeo4w) and Ubuntu 9.04.

Seems to works fine.

A further test with qgis 1.1 under Ubuntu confirm the freeze, nevertheless this ticket should be closed.

#3 - 2009-07-08 03:33 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Closing, reopen it if necessary.
